Skip to content

🚀 A drop-in replacement for the Postlight Parser API.

License

Apache-2.0, MIT licenses found

Licenses found

Apache-2.0
LICENSE-APACHE
MIT
LICENSE-MIT
Notifications You must be signed in to change notification settings

postlight/parser-api

Repository files navigation

Postlight Parser API

Greenkeeper badge

This repo provides a drop-in replacement for the Postlight Parser API. In fact, this AWS Lambda-based API for running the Postlight Parser is the same code and serverless infrastructure that powered the Postlight Parser API.

Installation

# If you don't already have the Postlight Parser api installed, do that
git clone https://github.com/postlight/parser-api.git

# Install dependencies
yarn install

API Gateway-like local dev server

To spin up a local dev server that will more closely match the API Gateway endpoint/experience:

yarn serve

Deploy

Assuming you've already set up your default AWS credentials (or have set a different AWS profile via the profile field), simply run:

yarn deploy

yarn deploy will deploy to "dev" environment. You can deploy to stage or prod with:

yarn deploy:stage

# -- or --

yarn deploy:prod

After you've deployed, the output of the deploy script will give you the API endpoint for your deployed function(s), so you should be able to test the deployed API via that URL.

License

Licensed under either of the below, at your preference:

Contribution

Unless it is explicitly stated otherwise, any contribution intentionally submitted for inclusion in the work, as defined in the Apache-2.0 license, shall be dual licensed as above without any additional terms or conditions.